Bug 803290 - please fix devel-deps!
please fix devel-deps!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mod_perl (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 07:39 EDT by Harald Reindl
Modified: 2013-07-31 21:26 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2012-03-14 07:39:05 EDT
can someone PLEASE fix this long oustanding devel-deps?
there is no reason on production systems to install
any devel-package and remove "perl-devel" would pull
a bundle of also uninstalled dependencies

Entfernen:
 perl-devel                       x86_64          4:5.14.2-197.fc16                     @updates                  1.9 M
Entfernt für Abhängigkeiten:
 mod_perl                         x86_64          2.0.5-8.fc16                          @updates-testing          6.0 M
 mod_perl-devel                   x86_64          2.0.5-8.fc16                          @updates-testing          896 k
 perl-CGI-Session                 noarch          4.35-9.fc16                           @fedora                   235 k
 perl-CPAN                        noarch          1.9600.01-197.fc16                    @updates                  704 k
 perl-ExtUtils-CBuilder           noarch          1:0.28.2.3-197.fc16                   @updates                   61 k
 perl-ExtUtils-Embed              noarch          1.30-197.fc16                         @updates                   17 k
 perl-ExtUtils-MakeMaker          noarch          6.57.5-197.fc16                       @updates                  632 k
 perl-ExtUtils-ParseXS            noarch          1:2.2210-197.fc16                     @updates                   69 k
 perl-IPC-Cmd                     noarch          1:0.70-197.fc16                       @updates                   64 k
 perl-Module-Build                noarch          1:0.3800-197.fc16                     @updates                  495 k
 perl-Net-DRI                     noarch          0.96_02-3.fc16.20120311.rh            @rhsoft-fedora            2.8 M
 perl-SOAP-WSDL                   noarch          2.00.10-11.fc16.20120311.rh           @rhsoft-fedora            862 k
 perl-Test-Harness                noarch          3.23-197.fc16                         @updates                  508 k
 perl-Test-Simple                 noarch          0.98-197.fc16                         @updates                  195 k
 perl-qooxdoo-compat              noarch          0.7.3-11.fc16                         @fedora                    65 k
 smokeping                        noarch          2.4.2-16.fc16                         @updates                  2.3 M
Comment 1 Marcela Mašláňová 2012-03-14 09:20:45 EDT
Why do you think those modules don't need perl-devel dependency? For example Module::Build is for building modules, so it needs Perl headers for correct functionality.
Comment 2 Petr Pisar 2012-03-14 09:54:29 EDT
Your problem is mod_perl obviously. I don't know why mod_perl requires e.g. perl-CPAN which requires perl-devel naturally because it's intended for installing Perl modules from source code. Clarify with mod_perl maintainer please.
Comment 3 Fedora End Of Life 2013-01-16 09:09:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Petr Pisar 2013-01-16 09:59:46 EST
Still issue in F17.
Comment 5 Jan Kaluža 2013-02-04 07:37:24 EST
This should be fixed in F18.
Comment 6 Harald Reindl 2013-02-04 07:38:54 EST
thank you!
Comment 7 Fedora End Of Life 2013-07-03 19:05:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 21:26:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.